This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours

Bug 819666

Summary: can't install nfs-utils-lib-devel: broken deps
Product: [Fedora] Fedora Reporter: Alex Lancaster <alexl>
Component: nfs-utilsAssignee: Steve Dickson <steved>
Status: CLOSED NOTABUG QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: urgent Docs Contact:
Priority: unspecified    
Version: 16CC: bfields, extras-orphan, jlayton, notting, steved
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-11-08 11:14:04 EST Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Alex Lancaster 2012-05-07 17:55:39 EDT
There is some versioning soname/rebuild problem that needs to be fixed

$ sudo yum install nfs-utils-lib-devel
Loaded plugins: auto-update-debuginfo, fastestmirror, presto, priorities, refresh-packagekit
Loading mirror speeds from cached hostfile
 * fedora: mirrors.med.harvard.edu
 * fedora-debuginfo: mirror.seas.harvard.edu
 * rpmfusion-free: mirror.hiwaay.net
 * rpmfusion-free-debuginfo: mirror01.th.ifl.net
 * rpmfusion-free-updates-debuginfo: mirror01.th.ifl.net
 * updates: mirror.seas.harvard.edu
 * updates-debuginfo: mirror.seas.harvard.edu
1 packages excluded due to repository priority protections
Resolving Dependencies
--> Running transaction check
---> Package nfs-utils-lib-devel.x86_64 0:1.1.5-5.fc15 will be installed
--> Processing Dependency: pkgconfig(libgssglue) for package: nfs-utils-lib-devel-1.1.5-5.fc15.x86_64
--> Processing Dependency: librpcsecgss.so.3()(64bit) for package: nfs-utils-lib-devel-1.1.5-5.fc15.x86_64
Package nfs-utils-lib-1.1.5-5.fc15.x86_64 is obsoleted by libnfsidmap-0.24-7.fc16.x86_64 which is already installed
--> Running transaction check
---> Package libgssglue-devel.x86_64 0:0.3-0.fc16 will be installed
---> Package nfs-utils-lib-devel.x86_64 0:1.1.5-5.fc15 will be installed
--> Processing Dependency: librpcsecgss.so.3()(64bit) for package: nfs-utils-lib-devel-1.1.5-5.fc15.x86_64
Package nfs-utils-lib-1.1.5-5.fc15.x86_64 is obsoleted by libnfsidmap-0.24-7.fc16.x86_64 which is already installed
--> Finished Dependency Resolution
Error: Package: nfs-utils-lib-devel-1.1.5-5.fc15.x86_64 (fedora)
           Requires: librpcsecgss.so.3()(64bit)
           Available: nfs-utils-lib-1.1.5-5.fc15.x86_64 (fedora)
               librpcsecgss.so.3()(64bit)
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest
Comment 1 Steve Dickson 2012-11-08 11:14:04 EST
nfs-utils-lib-devel should on longer be used.